Bug 251841 - audio/ardour6: update to v6.5.0
Summary: audio/ardour6: update to v6.5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL: http://ardour.org/whatsnew.html
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-14 18:47 UTC by Michael Beer
Modified: 2021-01-05 15:25 UTC (History)
2 users (show)

See Also:


Attachments
Diff of port files (2.13 KB, patch)
2020-12-14 18:47 UTC, Michael Beer
beerml: maintainer-approval+
Details | Diff
Diff against portrevision 3 (2.13 KB, patch)
2020-12-16 16:32 UTC, Michael Beer
beerml: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Beer 2020-12-14 18:47:00 UTC
Created attachment 220551 [details]
Diff of port files

Update of ardour to v6.5.0.
Main new feature of this release would have been VST3 support.
To enable this also for FreeBSD would need some adaptions.
Probably doable. However as VST3 doesn't have any relevance for
FreeBSD for now, I didn't spend the effort and kept the new feature disabled.

Besides this the new release offers as usual many bug fixes.
Comment 1 Fernando Apesteguía freebsd_committer 2020-12-16 14:27:23 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval.
--
Attachment -> Details -> maintainer-approval [+]

^Triage: Maintainer-feedback flag (+) not required unless requested (?) first.

Q/A: patch did not apply cleanly. Would you mind checking it? port is at PORTREVISION=3 in the repo.

Thanks!
Comment 2 Michael Beer 2020-12-16 16:25:15 UTC
Only the port version has been updated in the meanwhile.
No other changes besides this.
Comment 3 Michael Beer 2020-12-16 16:32:26 UTC
Created attachment 220628 [details]
Diff against portrevision 3
Comment 4 Kurt Jaeger freebsd_committer 2021-01-05 12:43:34 UTC
testbuilds@work
Comment 5 Kurt Jaeger freebsd_committer 2021-01-05 15:24:39 UTC
Committed, thanks!
Comment 6 commit-hook freebsd_committer 2021-01-05 15:25:31 UTC
A commit references this bug:

Author: pi
Date: Tue Jan  5 15:24:36 UTC 2021
New revision: 560409
URL: https://svnweb.freebsd.org/changeset/ports/560409

Log:
  audio/ardour6: update 6.3.0 -> 6.5.0

  PR:		251841
  Submitted by:	Michael Beer <beerml@sigma6audio.de> (maintainer)
  Relnotes:	http://ardour.org/whatsnew.html

Changes:
  head/audio/ardour6/Makefile
  head/audio/ardour6/distinfo
  head/audio/ardour6/pkg-plist